<?php  

/*************************************
    Load jQuery
*************************************/
function my_masonry(){
	wp_enqueue_script('masonry');
}
add_action('wp_enqueue_scripts', 'my_masonry');




/*************************************
    Register Navigation
*************************************/
register_nav_menus( array(
	'main_nav' => 'Main Navigation',
) );




/*************************************
    Search Keyword Highlight
*************************************/
function wps_highlight_results($text){
     if(is_search()){
     $sr = get_query_var('s');
     $keys = explode(" ",$sr);
     $text = preg_replace('/('.implode('|', $keys) .')/iu', '<strong class="search-excerpt">'.$sr.'</strong>', $text);
     }
     return $text;
}
add_filter('the_excerpt', 'wps_highlight_results');
add_filter('the_title', 'wps_highlight_results');




/*************************************
    Register Sidebar
*************************************/
function arphabet_widgets_init() {

	register_sidebar( array(
		'name' => 'Page Right Sidebar',
		'id' => 'page_right_1',
		'before_widget' => '<div class="widget-area">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="rounded">',
		'after_title' => '</h2>',
	) );
}
add_action( 'widgets_init', 'arphabet_widgets_init' );



/*************************************
    Enabling Support for Thumbnails
*************************************/
add_theme_support( 'post-thumbnails', array( 'post', 'work', 'story' ) );
add_theme_support( 'post-formats', array( 'image', 'video') );
add_theme_support( 'automatic-feed-links' );





/*************************************
    Content Area Width
*************************************/
if ( ! isset( $content_width ) ) {
	$content_width = 660;
}





/*************************************
    Covering Homepage Title
*************************************/
add_filter( 'wp_title', 'baw_hack_wp_title_for_home' );
function baw_hack_wp_title_for_home( $title )
{
  if( empty( $title ) && ( is_home() || is_front_page() ) ) {
    return __( 'Home', 'theme_domain' ) . ' | ' . get_bloginfo( 'description' );
  }
  return $title;
}



/*************************************
    Custom Editor Style
*************************************/
function my_theme_add_editor_styles() {
    add_editor_style( 'editor-style.css' );
}
add_action( 'after_setup_theme', 'my_theme_add_editor_styles' );





/*************************************
    Excerpt Length
*************************************/
function custom_excerpt_length( $length ) {
	return 25;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );





/*************************************
    Custom Background
*************************************/
$args = array(
	'default-color'          => '',
	'default-image'          => '%1$s/images/bg.png',
	'default-repeat'         => 'repeat',
	'default-position-x'     => '',
	'default-attachment'     => '',
	'wp-head-callback'       => '_custom_background_cb',
	'admin-head-callback'    => '',
	'admin-preview-callback' => ''
);
add_theme_support( 'custom-background', $args );






/*************************************
    Theme Customize
*************************************/
function tcx_register_theme_customizer( $wp_customize ) {
 
    // Section - Header & Footer Logo
	$wp_customize->add_section( 'logos', array(
	'title' => __('Header & Footer Logo','creative-block'), // The title of section
	'description' => 'Upload your Logo', // The description of section
	'priority' => 30,
	) );
	
	// Company Logo (Header)
	$wp_customize->add_setting( 'cb_header_logo', array(
	'type' => 'option',
	'sanitize_callback' => 'esc_url_raw'
	) );
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'cb_header_logo', array(
	'label' => 'Logo (Header)',
	'priority' => 2,
	'section' => 'logos',
	) ) );
	
	// Company Logo (Footer)
	$wp_customize->add_setting( 'cb_footer_logo', array(
	'type' => 'option',
	'sanitize_callback' => 'esc_url_raw'
	) );
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'cb_footer_logo', array(
	'label' => 'Logo (Footer)',
	'priority' => 3,
	'section' => 'logos',
	) ) );
	
	
	// Section - Social Network Link
	$wp_customize->add_section( 'sns_link', array(
	'title' => __('SNS Link','creative-block'), // The title of section
	'description' => 'Your Social Channel', // The description of section
	'priority' => 31,
	) );
	
	// Facebook
	$wp_customize->add_setting( 'sns_facebook', array(
	'default' => '',
	'type' => 'option',
	'transport' => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
	) );     
	
	$wp_customize->add_control( 'sns_facebook', array(
	'label' => 'Facebook URL',
	'priority' => 10,
	'section' => 'sns_link',
	) );  
	
	// Twitter
	$wp_customize->add_setting( 'sns_twitter', array(
	'default' => '',
	'type' => 'option',
	'transport' => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
	) );     
	
	$wp_customize->add_control( 'sns_twitter', array(
	'label' => 'Twitter URL',
	'priority' => 10,
	'section' => 'sns_link',
	) );
	
	// Pinterest
	$wp_customize->add_setting( 'sns_pinterest', array(
	'default' => '',
	'type' => 'option',
	'transport' => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
	) );     
	
	$wp_customize->add_control( 'sns_pinterest', array(
	'label' => 'Pinterest URL',
	'priority' => 10,
	'section' => 'sns_link',
	) );
	
	// Instagram
	$wp_customize->add_setting( 'sns_instagram', array(
	'default' => '',
	'type' => 'option',
	'transport' => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
	) );     
	
	$wp_customize->add_control( 'sns_instagram', array(
	'label' => 'Instagram URL',
	'priority' => 10,
	'section' => 'sns_link',
	) );
	
	
	// Section - Company Information
	$wp_customize->add_section( 'company_info', array(
	'title' => __('Company Information','creative-block'), // The title of section
	'description' => 'General Information of Company', // The description of section
	'priority' => 32,
	) );
	
	// Company Name
	$wp_customize->add_setting( 'cb_company', array(
	'default' => 'Creative Band',         // Let everything else default
	'type' => 'option',
	'transport' => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
	) );
	
	$wp_customize->add_control( 'cb_company', array(
	'label' => 'Company Name',
	'priority' => 1,
	'section' => 'company_info',
	) );
		
	// Director of Company
	$wp_customize->add_setting( 'cb_director', array(
	'type' => 'option',
	'transport' => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
	) );
	
	$wp_customize->add_control( 'cb_director', array(
	'label' => 'Name of Director',
	'priority' => 5,
	'section' => 'company_info',
	) );
	
	// Company Address
	$wp_customize->add_setting( 'cb_address', array(
	'default' => '',
	'type' => 'option',
	'transport' => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
	) );
	
	$wp_customize->add_control( 'cb_address', array(
	'label' => 'Address',
	'priority' => 6,
	'section' => 'company_info',
	) );
	
	// Company Phone
	$wp_customize->add_setting( 'cb_phone', array(
	'default' => '',
	'type' => 'option',
	'transport' => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
	) );     
	
	$wp_customize->add_control( 'cb_phone', array(
	'label' => 'Phone No.',
	'priority' => 7,
	'section' => 'company_info',
	) );
	
	// Company Fax.
	$wp_customize->add_setting( 'cb_fax', array(
	'default' => '',
	'type' => 'option',
	'transport' => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
	) );     
	
	$wp_customize->add_control( 'cb_fax', array(
	'label' => 'Fax. No.',
	'priority' => 8,
	'section' => 'company_info',
	) );
	
	// Company Business License Number
	$wp_customize->add_setting( 'cb_license', array(
	'default' => '',
	'type' => 'option',
	'transport' => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
	) );     
	
	$wp_customize->add_control( 'cb_license', array(
	'label' => 'Biz-License No.',
	'priority' => 9,
	'section' => 'company_info',
	) );
	
	// Company Email
	$wp_customize->add_setting( 'cb_email', array(
	'default' => '',
	'type' => 'option',
	'transport' => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
	) );     
	
	$wp_customize->add_control( 'cb_email', array(
	'label' => 'Email',
	'priority' => 10,
	'section' => 'company_info',
	) );
 
}
add_action( 'customize_register', 'tcx_register_theme_customizer' );

?>