<?php
/**
 * The Header for our theme.
 * Displays all of the <head> section and everything up till <div id="main">
 * @since Creative Band - Biz 2nd Edition
 */
?><!DOCTYPE html>
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 8) ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
	<head>
		<meta name=viewport content="width=device-width, initial-scale=1">
		<meta charset="<?php bloginfo('charset'); ?>" />
		<link rel="profile" href="http://gmpg.org/xfn/11" />
		<title><?php wp_title(''); ?></title>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/style.css" type="text/css" media="screen">
		<!--[if lt IE 9]>
		<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
		<![endif]-->
		<?php wp_enqueue_script('jquery'); ?>
		<?php if ( is_singular() ) wp_enqueue_script( "comment-reply" ); ?>
		<?php wp_head(); ?>
	</head>
	
	<body <?php body_class(); ?>>
		<div id="page">
			<header>
				<div class="inner">
					
					<h1 id="site-logo">
						
						<?php if(get_option('cb_header_logo') != '') { ?>
						
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo get_option('cb_header_logo'); ?>" alt="<?php bloginfo( 'name' ); ?>" /></a>
						
						<?php } else { ?>
						
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a>
						
						<?php } ?>
						
					</h1>
					
					<nav id="main-navigation">
						<?php
						$defaults = array(
							'theme_location'  => 'main_nav',
							'menu'            => '',
							'container'       => false,
							'container_class' => '',
							'container_id'    => 'main-navigation',
							'menu_class'      => 'menu',
							'menu_id'         => '',
							'echo'            => true,
							'fallback_cb'     => 'wp_page_menu',
							'before'          => '',
							'after'           => '',
							'link_before'     => '',
							'link_after'      => '',
							'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
							'depth'           => 0,
							'walker'          => ''
						);
						
						wp_nav_menu( $defaults );
						?>
					</nav>
					
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/search_icon.png" alt="Search" class="search-icon" />
					
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/search_icon.png" alt="Search" class="mobile-search-icon" />
					
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/menu_icon.png" alt="Mobile Menu Icon" class="mobile-menu" />
				</div>
				
			</header> <!-- header end -->
			
			<div class="mobile-search-area">
				<form id="searchform" method="get" action="/index.php">
					<input type="text" name="s" id="s" size="15" placeholder="Search" />
					<input type="submit" value="" />
				</form>
			</div> <!-- Mobile Search Area -->
			
			<div class="search-area">
				<form id="searchform_pc" method="get" action="/index.php">
					<input type="text" name="s_pc" id="s_pc" size="15" placeholder="Search" />
					<input type="submit" value="" />
				</form>
			</div> <!-- Mobile Search Area -->
			
			<nav id="main-navigation-mobile">
						<?php
						$defaults = array(
							'theme_location'  => 'main_nav',
							'menu'            => '',
							'container'       => false,
							'container_class' => '',
							'container_id'    => 'main-navigation',
							'menu_class'      => 'menu',
							'menu_id'         => '',
							'echo'            => true,
							'fallback_cb'     => 'wp_page_menu',
							'before'          => '',
							'after'           => '',
							'link_before'     => '',
							'link_after'      => '',
							'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
							'depth'           => 0,
							'walker'          => ''
						);
						
						wp_nav_menu( $defaults );
						?>
					</nav>
			<div id="main" class="inner">